## autoinstall-hppa 0.2

=== Makefile ===
# Makefile for Progeny autoinstaller - arch-specific items

ARCH := $(shell dpkg --print-architecture)

DESTDIR ?= /tmp/autoinstall

BUSYBOXDIR=busybox-0.60.0
PYTHONDIR=Python-1.5.2
PARTEDDIR=parted-1.4.24

SOURCETAR=/usr/src/autoinstall-common-source_1.0.tar.gz

BINARIES=binaries/bin/busybox binaries/bin/python binaries/bin/modprobe \
	binaries/bin/discover binaries/bin/pump binaries/bin/setdebconf

SU_CMD=sudo

all: $(SOURCETAR) build-stamp initrd-bin.tar.gz 

sourcedirs: $(SOURCETAR)
	tar zxvf $(SOURCETAR)
	#cp Makefile.noerror $(PARTEDDIR)/build/po/Makefile.in

install: binaries initrd-bin.tar.gz
	-mkdir -p $(DESTDIR)/usr/share/autoinstall/hppa
	cp initrd-bin.tar.gz make-autoinst-initrd \
		$(DESTDIR)/usr/share/autoinstall/hppa
	-mkdir -p $(DESTDIR)/usr/share/autoinstall/hppa/boot
	cp boot/*.py $(DESTDIR)/usr/share/autoinstall/hppa/boot
	-mkdir -p $(DESTDIR)/usr/share/autoinstall/hppa
	cp update-autoinst-disk $(DESTDIR)/usr/share/autoinstall/hppa/
	cp make-autoinst-disk $(DESTDIR)/usr/share/autoinstall/hppa/

build-stamp:
	mkdir build-stamp

initrd-bin.tar.gz: build-stamp/initrd-bin build-stamp/initrd-libs build-stamp/initrd-etc
	(cd binaries; tar cf ../initrd-bin.tar .)
	gzip -9 initrd-bin.tar

binaries:
	mkdir binaries
	mkdir binaries/bin
	mkdir binaries/etc
	mkdir binaries/lib
	mkdir binaries/lib/discover
	mkdir binaries/lib/python1.5
	mkdir binaries/lib/python1.5/plat-linux2
	mkdir binaries/lib/python1.5/site-packages
	mkdir binaries/share
	mkdir binaries/share/discover
	ln -fs bin binaries/sbin
	ln -fs . binaries/usr

$(BUSYBOXDIR)/busybox: 
	cd $(BUSYBOXDIR) && $(MAKE)

binaries/bin/busybox: $(BUSYBOXDIR)/busybox binaries
	cp $(BUSYBOXDIR)/busybox binaries/bin/busybox
	cat $(BUSYBOXDIR)/busybox.links | ./link-busybox

parted: 
	-cd $(PARTEDDIR) && $(MAKE) clean
	cd $(PARTEDDIR); ./configure --disable-Werror --prefix=/usr --without-readline ; \
	$(MAKE) 

$(PYTHONDIR)/python: parted python-parted/pyparted.c
	cp python-parted/pyparted.c $(PYTHONDIR)/Modules
	-cd $(PYTHONDIR) && $(MAKE) clean
	cd $(PYTHONDIR); ./configure --prefix=/usr ; $(MAKE)


binaries/bin/python: $(PYTHONDIR)/python python-parted/parted.py binaries
	cd $(PYTHONDIR)/Modules; gcc python.o \
		../libpython1.5.a /usr/lib/libcrypt.a /usr/lib/libz.a \
		../../parted-1.4.24/libparted/.libs/libparted.a /usr/lib/libuuid.a \
		-ldl -lm -o python-static
	strip $(PYTHONDIR)/Modules/python-static
	cp $(PYTHONDIR)/Modules/python-static binaries/bin/python
	cp $(PYTHONDIR)/Lib/UserDict.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/copy.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/exceptions.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/os.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/posixfile.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/posixpath.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/site.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/stat.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/string.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/tempfile.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/types.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/traceback.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/linecache.py binaries/lib/python1.5
	cp $(PYTHONDIR)/Lib/popen2.py binaries/lib/python1.5
	cp python-parted/parted.py binaries/lib/python1.5

binaries/bin/discover: /sbin/discover binaries
	cp /sbin/discover binaries/bin
	cp /usr/share/discover/* binaries/share/discover

# With the new busybox, this shouldn't be necessary anymore.  If it is,
# uncomment it and add "binaries/bin/ash" to BINARIES above.

#binaries/bin/ash: /bin/ash binaries
#	cp /bin/ash binaries/bin
#	ln -s ash binaries/bin/sh

binaries/bin/pump: /sbin/pump binaries
	cp /sbin/pump binaries/bin

binaries/bin/modprobe: /sbin/modprobe binaries
	cp /sbin/modprobe binaries/bin

binaries/bin/setdebconf: setdebconf-v0.9 binaries
	if [ -x /usr/sbin/setdebconf ]; then \
		cp /usr/sbin/setdebconf binaries/bin ; \
	else \
		cp setdebconf-v0.9 binaries/bin/setdebconf ; \
	fi

build-stamp/initrd-bin: build-stamp sourcedirs $(BINARIES)
	touch build-stamp/initrd-bin

build-stamp/initrd-libs: build-stamp/initrd-bin
	-rm binaries/lib/*
	mklibs -d binaries/lib binaries/bin/* 
	cp --no-dereference /lib/libnss_dns* binaries/lib
	cp --no-dereference /lib/libnss_files* binaries/lib
	touch build-stamp/initrd-libs

build-stamp/initrd-etc: build-stamp etc/host.conf etc/hosts etc/nsswitch.conf /etc/protocols binaries
	cp etc/services etc/host.conf etc/hosts etc/nsswitch.conf binaries/etc
	cp /etc/protocols binaries/etc
	touch build-stamp/initrd-etc

clean:
	-rm -rf $(BUSYBOXDIR) $(PYTHONDIR) $(PARTEDDIR)
	-rm -rf binaries build-stamp
	-rm -f initrd-bin.tar.gz

=== debian/changelog ===
autoinstall-hppa (0.2) unstable; urgency=low

  * Updated to depend on discover1 (Closes: #241604)

 -- Paul Telford <pxt@debian.org>  Thu, 15 Apr 2004 12:23:06 -0700

autoinstall-hppa (0.1) unstable; urgency=low

  * Initial release

 -- Paul Telford <pxt@debian.org>  Fri, 26 Sep 2003 14:47:39 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: autoinstall-hppa
Section: admin
Priority: extra
Build-Depends-Indep: debhelper, uuid-dev, libz-dev, discover1, discover1-data, net-tools, pump, debconf-utils | configlet, mklibs (>= 0.1.12), autoinstall-common-source, netbase, libc6-pic, modutils
Maintainer: Paul Telford <pxt@debian.org>
Standards-Version: 3.6.1
Uploaders: Paul Telford <pxt@debian.org>, Jeff Licquia <jlicquia@progeny.com>


Package: autoinstall-hppa
Architecture: all
Depends: python, fdutils, debconf, autoinstall (>= 1.0), palo, mkisofs
Provides: autoinstall-arch
Description: Debian auto-installation system - hppa-specific files
 This package contains the hppa-specific parts of the Debian 
 auto-installation system.  With the "autoinstall" package, it's possible
 to create cdrom images that install Debian systems without any user
 interaction.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

ARCH := $(shell dpkg --print-architecture)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=1

build-stamp:
	mkdir build-stamp

configure: build-stamp/configure-stamp-debian
build-stamp/configure-stamp-debian: build-stamp
	dh_testdir
	# Add here commands to configure the package.

	touch build-stamp/configure-stamp-debian

build: build-stamp/configure-stamp-debian build-stamp/build-stamp-debian
build-stamp/build-stamp-debian: build-stamp
	dh_testdir

	# Add here commands to compile the package.

	touch build-stamp/build-stamp-debian

clean:
	dh_testdir
	dh_testroot
	-rm -rf build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=$(PWD)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installmanpages
	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
